<?php

namespace Liberty\Services\Emisor\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for riesgo StructType
 * @subpackage Structs
 */
class Riesgo extends AbstractStructBase
{
    /**
     * The anioVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $anioVehiculo;
    /**
     * The chasisVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $chasisVehiculo;
    /**
     * The condicionVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $condicionVehiculo;
    /**
     * The marcaVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $marcaVehiculo;
    /**
     * The modeloVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $modeloVehiculo;
    /**
     * The motorVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $motorVehiculo;
    /**
     * The patenteVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $patenteVehiculo;
    /**
     * The tipoVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $tipoVehiculo;
    /**
     * The usoVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $usoVehiculo;
    /**
     * The versionVehiculo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $versionVehiculo;
    /**
     * Constructor method for riesgo
     * @uses Riesgo::setAnioVehiculo()
     * @uses Riesgo::setChasisVehiculo()
     * @uses Riesgo::setCondicionVehiculo()
     * @uses Riesgo::setMarcaVehiculo()
     * @uses Riesgo::setModeloVehiculo()
     * @uses Riesgo::setMotorVehiculo()
     * @uses Riesgo::setPatenteVehiculo()
     * @uses Riesgo::setTipoVehiculo()
     * @uses Riesgo::setUsoVehiculo()
     * @uses Riesgo::setVersionVehiculo()
     * @param int $anioVehiculo
     * @param string $chasisVehiculo
     * @param string $condicionVehiculo
     * @param int $marcaVehiculo
     * @param int $modeloVehiculo
     * @param string $motorVehiculo
     * @param string $patenteVehiculo
     * @param int $tipoVehiculo
     * @param int $usoVehiculo
     * @param string $versionVehiculo
     */
    public function __construct($anioVehiculo = null, $chasisVehiculo = null, $condicionVehiculo = null, $marcaVehiculo = null, $modeloVehiculo = null, $motorVehiculo = null, $patenteVehiculo = null, $tipoVehiculo = null, $usoVehiculo = null, $versionVehiculo = null)
    {
        $this
            ->setAnioVehiculo($anioVehiculo)
            ->setChasisVehiculo($chasisVehiculo)
            ->setCondicionVehiculo($condicionVehiculo)
            ->setMarcaVehiculo($marcaVehiculo)
            ->setModeloVehiculo($modeloVehiculo)
            ->setMotorVehiculo($motorVehiculo)
            ->setPatenteVehiculo($patenteVehiculo)
            ->setTipoVehiculo($tipoVehiculo)
            ->setUsoVehiculo($usoVehiculo)
            ->setVersionVehiculo($versionVehiculo);
    }
    /**
     * Get anioVehiculo value
     * @return int|null
     */
    public function getAnioVehiculo()
    {
        return $this->anioVehiculo;
    }
    /**
     * Set anioVehiculo value
     * @param int $anioVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setAnioVehiculo($anioVehiculo = null)
    {
        // validation for constraint: int
        if (!is_null($anioVehiculo) && !(is_int($anioVehiculo) || ctype_digit($anioVehiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($anioVehiculo, true), gettype($anioVehiculo)), __LINE__);
        }
        $this->anioVehiculo = $anioVehiculo;
        return $this;
    }
    /**
     * Get chasisVehiculo value
     * @return string|null
     */
    public function getChasisVehiculo()
    {
        return $this->chasisVehiculo;
    }
    /**
     * Set chasisVehiculo value
     * @param string $chasisVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setChasisVehiculo($chasisVehiculo = null)
    {
        // validation for constraint: string
        if (!is_null($chasisVehiculo) && !is_string($chasisVehiculo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($chasisVehiculo, true), gettype($chasisVehiculo)), __LINE__);
        }
        $this->chasisVehiculo = $chasisVehiculo;
        return $this;
    }
    /**
     * Get condicionVehiculo value
     * @return string|null
     */
    public function getCondicionVehiculo()
    {
        return $this->condicionVehiculo;
    }
    /**
     * Set condicionVehiculo value
     * @param string $condicionVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setCondicionVehiculo($condicionVehiculo = null)
    {
        // validation for constraint: string
        if (!is_null($condicionVehiculo) && !is_string($condicionVehiculo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($condicionVehiculo, true), gettype($condicionVehiculo)), __LINE__);
        }
        $this->condicionVehiculo = $condicionVehiculo;
        return $this;
    }
    /**
     * Get marcaVehiculo value
     * @return int|null
     */
    public function getMarcaVehiculo()
    {
        return $this->marcaVehiculo;
    }
    /**
     * Set marcaVehiculo value
     * @param int $marcaVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setMarcaVehiculo($marcaVehiculo = null)
    {
        // validation for constraint: int
        if (!is_null($marcaVehiculo) && !(is_int($marcaVehiculo) || ctype_digit($marcaVehiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($marcaVehiculo, true), gettype($marcaVehiculo)), __LINE__);
        }
        $this->marcaVehiculo = $marcaVehiculo;
        return $this;
    }
    /**
     * Get modeloVehiculo value
     * @return int|null
     */
    public function getModeloVehiculo()
    {
        return $this->modeloVehiculo;
    }
    /**
     * Set modeloVehiculo value
     * @param int $modeloVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setModeloVehiculo($modeloVehiculo = null)
    {
        // validation for constraint: int
        if (!is_null($modeloVehiculo) && !(is_int($modeloVehiculo) || ctype_digit($modeloVehiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($modeloVehiculo, true), gettype($modeloVehiculo)), __LINE__);
        }
        $this->modeloVehiculo = $modeloVehiculo;
        return $this;
    }
    /**
     * Get motorVehiculo value
     * @return string|null
     */
    public function getMotorVehiculo()
    {
        return $this->motorVehiculo;
    }
    /**
     * Set motorVehiculo value
     * @param string $motorVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setMotorVehiculo($motorVehiculo = null)
    {
        // validation for constraint: string
        if (!is_null($motorVehiculo) && !is_string($motorVehiculo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($motorVehiculo, true), gettype($motorVehiculo)), __LINE__);
        }
        $this->motorVehiculo = $motorVehiculo;
        return $this;
    }
    /**
     * Get patenteVehiculo value
     * @return string|null
     */
    public function getPatenteVehiculo()
    {
        return $this->patenteVehiculo;
    }
    /**
     * Set patenteVehiculo value
     * @param string $patenteVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setPatenteVehiculo($patenteVehiculo = null)
    {
        // validation for constraint: string
        if (!is_null($patenteVehiculo) && !is_string($patenteVehiculo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($patenteVehiculo, true), gettype($patenteVehiculo)), __LINE__);
        }
        $this->patenteVehiculo = $patenteVehiculo;
        return $this;
    }
    /**
     * Get tipoVehiculo value
     * @return int|null
     */
    public function getTipoVehiculo()
    {
        return $this->tipoVehiculo;
    }
    /**
     * Set tipoVehiculo value
     * @param int $tipoVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setTipoVehiculo($tipoVehiculo = null)
    {
        // validation for constraint: int
        if (!is_null($tipoVehiculo) && !(is_int($tipoVehiculo) || ctype_digit($tipoVehiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tipoVehiculo, true), gettype($tipoVehiculo)), __LINE__);
        }
        $this->tipoVehiculo = $tipoVehiculo;
        return $this;
    }
    /**
     * Get usoVehiculo value
     * @return int|null
     */
    public function getUsoVehiculo()
    {
        return $this->usoVehiculo;
    }
    /**
     * Set usoVehiculo value
     * @param int $usoVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setUsoVehiculo($usoVehiculo = null)
    {
        // validation for constraint: int
        if (!is_null($usoVehiculo) && !(is_int($usoVehiculo) || ctype_digit($usoVehiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($usoVehiculo, true), gettype($usoVehiculo)), __LINE__);
        }
        $this->usoVehiculo = $usoVehiculo;
        return $this;
    }
    /**
     * Get versionVehiculo value
     * @return string|null
     */
    public function getVersionVehiculo()
    {
        return $this->versionVehiculo;
    }
    /**
     * Set versionVehiculo value
     * @param string $versionVehiculo
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public function setVersionVehiculo($versionVehiculo = null)
    {
        // validation for constraint: string
        if (!is_null($versionVehiculo) && !is_string($versionVehiculo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($versionVehiculo, true), gettype($versionVehiculo)), __LINE__);
        }
        $this->versionVehiculo = $versionVehiculo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Liberty\Services\Emisor\StructType\Riesgo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
